Raritan PX2/PX3 JSON-RPC API: webcam::StorageManager_1_0_2 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
webcam::StorageManager_1_0_2 Interface Reference

The storage manager interface. More...

`import"StorageManager.idl";`

## Classes
struct | Activity
| Activity. More...
struct | ImageStorageMetaData
| StorageMetaData. More...
struct | StorageImage
| StorageImage. More...
struct | StorageInformation
| Information. More...
struct | StorageMetaData
| StorageMetaData. More...
struct | StorageSettings
| Settings. More...
struct | WebcamStorageInfo
| Webcam Storage Info. More...

## Public Types
enum | StorageType { LOCAL, FTP, CIFS, NFS }
| StorageType. More...
enum | Direction { ASCENDING, DESCENDING }
| Direction. More...
enum | StorageStatus { INITIALIZING, READY }
| StorageStatus. More...

## Public Member Functions
vector< StorageType > | getSupportedStorageTypes ()
| Get supported storage types. More...
StorageInformation | getInformation ()
| get storage information More...
StorageSettings | getSettings ()
| get storage settings More...
int | setSettings (in StorageSettings settings)
| set storage settings More...
int | addImage (in Webcam_2_0_1 webcam, in Image_2_0_0 image, out long index)
| add an image to the storage More...
int | removeImages (in Webcam_2_0_1 webcam, in long start, in int count, in Direction direction)
| remove an image of the storage More...
int | getMetaData (in Webcam_2_0_1 webcam, in long start, in int count, in Direction direction, out vector< ImageStorageMetaData > meta)
| get meta data of images from storage More...
int | getImages (in Webcam_2_0_1 webcam, in long start, in int count, in Direction direction, out vector< StorageImage > image)
| retrieve images from the storage More...
vector< Activity > | getActivities ()
| get all running activities More...
int | startActivity (in Webcam_2_0_1 webcam, in int count, in int interval)
| start a capture activity More...
int | startActivityWithFolder (in Webcam_2_0_1 webcam, in int count, in int interval, in string folder)
| Start a capture activity, storing the images to a specific storage folder. More...
int | stopActivity (in Webcam_2_0_1 webcam)
| stop a capture activity More...

## Public Attributes
constant int | NO_ERROR = 0
| Error codes. More...
constant int | ERR_INVALID_PARAM = 1
| Invalid parameter for an operation.
constant int | ERR_INIT_IN_PROGRESS = 2
| Storage information is going to be initialized.
constant int | ERR_ALREADY_RUNNING = 3
| The activity is already running.
constant int | ERR_TOO_LARGE = 4
| The requested result is too large.
constant int | ERR_OPERATION_NOT_SUPPORTED = 5
| The requested operation is not supported on the current storage type.
valueobject | ImageUploadStartedEvent: event::UserEvent { Webcam_2_0_1 webcam
| Event: image upload to storage started. More...
string | folderUrl
| URL under which the containing folder can be accessed.

## Detailed Description

The storage manager interface.

## Member Enumeration Documentation

## ◆ Direction

enum webcam::StorageManager_1_0_2::Direction

Direction.

Enumerator
ASCENDING | ascending
DESCENDING | descending

## ◆ StorageStatus

enum webcam::StorageManager_1_0_2::StorageStatus

StorageStatus.

Enumerator
INITIALIZING | Initializing is in progress,.
READY | Storage is ready for usage.

## ◆ StorageType

enum webcam::StorageManager_1_0_2::StorageType

StorageType.

Enumerator
LOCAL | Local.
FTP | FTP.
CIFS | CIFS.
NFS | NFS.

## Member Function Documentation

## ◆ addImage()

int webcam::StorageManager_1_0_2::addImage | ( | in Webcam_2_0_1 | webcam,
|  | in Image_2_0_0 | image,
|  | out long | index
| ) |  |

add an image to the storage

Parameters

  webcam | image source webcam
  image | image
  index | index of the added image

Returns
  NO_ERROR on success

## ◆ getActivities()

vector<Activity> webcam::StorageManager_1_0_2::getActivities | ( |  | ) |

get all running activities

Returns
  list of running activities

## ◆ getImages()

int webcam::StorageManager_1_0_2::getImages | ( | in Webcam_2_0_1 | webcam,
|  | in long | start,
|  | in int | count,
|  | in Direction | direction,
|  | out vector< StorageImage > | image
| ) |  |

retrieve images from the storage

Note
  not supported for remote storage (CIFS and FTP)

Parameters

  webcam | image source webcam
  start | start index
  count | number of images
  direction | index counting direction
  image | result: list of storage images

Returns
  NO_ERROR on success
  ERR_TOO_LARGE too many images requested

## ◆ getInformation()

StorageInformation webcam::StorageManager_1_0_2::getInformation | ( |  | ) |

get storage information

Returns
  StorageInformation

## ◆ getMetaData()

int webcam::StorageManager_1_0_2::getMetaData | ( | in Webcam_2_0_1 | webcam,
|  | in long | start,
|  | in int | count,
|  | in Direction | direction,
|  | out vector< ImageStorageMetaData > | meta
| ) |  |

get meta data of images from storage

Note
  not supported for remote storage (CIFS and FTP)

Parameters

  webcam | image source webcam
  start | start index
  count | number of images
  direction | index counting direction
  meta | result: list of storage meta data

Returns
  NO_ERROR on success
  ERR_TOO_LARGE too many information requested

## ◆ getSettings()

StorageSettings webcam::StorageManager_1_0_2::getSettings | ( |  | ) |

get storage settings

Returns
  StorageSettings

## ◆ getSupportedStorageTypes()

vector<StorageType> webcam::StorageManager_1_0_2::getSupportedStorageTypes | ( |  | ) |

Get supported storage types.

Returns
  a list of supported storage types

## ◆ removeImages()

int webcam::StorageManager_1_0_2::removeImages | ( | in Webcam_2_0_1 | webcam,
|  | in long | start,
|  | in int | count,
|  | in Direction | direction
| ) |  |

remove an image of the storage

Note
  not supported for remote storage (CIFS and FTP)

Parameters

  webcam | image source webcam
  start | start index
  count | number of images
  direction | index counting direction

Returns
  NO_ERROR on success

## ◆ setSettings()

int webcam::StorageManager_1_0_2::setSettings | ( | in StorageSettings | settings | ) |

set storage settings

Parameters

  settings | settings structure

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM invalid settings

## ◆ startActivity()

int webcam::StorageManager_1_0_2::startActivity | ( | in Webcam_2_0_1 | webcam,
|  | in int | count,
|  | in int | interval
| ) |  |

start a capture activity

Parameters

  webcam | webcam
  count | number of images to store, zero is interpreted as infinite
  interval | interval in ms

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM webcam not found

## ◆ startActivityWithFolder()

int webcam::StorageManager_1_0_2::startActivityWithFolder | ( | in Webcam_2_0_1 | webcam,
|  | in int | count,
|  | in int | interval,
|  | in string | folder
| ) |  |

Start a capture activity, storing the images to a specific storage folder.

Parameters

  webcam | webcam
  count | number of images to store, zero is interpreted as infinite
  interval | interval in ms
  folder | folder path to store the images into

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM webcam not found

## ◆ stopActivity()

int webcam::StorageManager_1_0_2::stopActivity | ( | in Webcam_2_0_1 | webcam | ) |

stop a capture activity

Parameters

  webcam | webcam

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM no matching activity found

## Member Data Documentation

## ◆ ImageUploadStartedEvent

valueobject webcam::StorageManager_1_0_2::ImageUploadStartedEvent

Event: image upload to storage started.

webcam object

## ◆ NO_ERROR

constant int webcam::StorageManager_1_0_2::NO_ERROR = 0

Error codes.

Operation successful, no error

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/StorageManager.idl